Package com.ads.api.beans.mm

# Class MappingSpecificationRow

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.mm.MappingSpecificationRow

public class MappingSpecificationRow extends Node
This class provides some beans control methods related to mapping details, such as source system, source environment, target system, target environment, source related details , target related details and its Audit Specifications.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MappingSpecificationRow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuditHistory`
  `getAuditHistory()`
  Returns the AuditHistory Details.
  `String`
  `getBaseSourceSystemEnvironmentName()`
  Returns the baseSourceSystemEnvironmentName.
  `String`
  `getBaseSourceSystemName()`
  Returns the baseSourceSystemName.
  `String`
  `getBaseTargetSystemEnvironmentName()`
  Returns the baseTargetSystemEnvironmentName.
  `String`
  `getBaseTargetSystemName()`
  Returns the baseTargetSystemEnvironmentName.
  `String`
  `getBusinessRule()`
  Returns the businessRule.
  `String`
  `getCSMMappingReference()`
  Returns the csmMappingReference.
  `String`
  `getExtendedBusinessRule()`
  Returns the extendedBusinessRule.
  `String`
  `getLookupColumn()`
  Returns the lookupColumn.
  `String`
  `getLookupOn()`
  Returns the lookupOn Value.
  `int`
  `getMappingId()`
  Returns the mappingId.
  `int`
  `getMappingSequenceId()`
  Returns the mappingSequenceId.
  `String`
  `getMappingSpecificationRowComments()`
  Returns the mappingSpecificationRowComments.
  `String`
  `getPseudocode()`
  Returns the pseudocode Value.
  `String`
  `getRdmReferenceTable()`
  Returns the rdmReferenceTable Value.
  `float`
  `getRowOrder()`
  Returns the rowOrder.
  `String`
  `getSourceColumnAlias()`
  Returns the sourceColumnAlias Name.
  `String`
  `getSourceColumnClass()`
  Returns the sourceColumnClass.
  `String`
  `getSourceColumnComments()`
  Returns the sourceColumnComments.
  `String`
  `getSourceColumnDatatype()`
  Returns the sourceColumnDatatype.
  `String`
  `getSourceColumnDBDefaultValue()`
  Returns the sourceColumnDBDefaultValue.
  `String`
  `getSourceColumnDefinition()`
  Returns the sourceColumnDefinition.
  `String`
  `getSourceColumnLength()`
  Returns the sourceColumnLength.
  `String`
  `getSourceColumnName()`
  Returns the sourceColumnName.
  `String`
  `getSourceColumnPrecision()`
  Returns the sourceColumnPrecision.
  `String`
  `getSourceColumnScale()`
  Returns the sourceColumnScale.
  `String`
  `getSourceEntityUID()`
  Returns the sourceEntityUID Value.
  `String`
  `getSourceEnvBusinessEntityType()`
  Returns the sourceEnvBusinessEntityType value.
  `String`
  `getSourceLogicalColumnName()`
  Returns the sourceSDIDescription.
  `String`
  `getSourceMaximumValue()`
  Returns the sourceMaximumValue.
  `String`
  `getSourceMinimumValue()`
  Returns the sourceMinimumValue.
  `String`
  `getSourcePercentNullValue()`
  Returns the sourcePercentNullValue.
  `String`
  `getSourceSDIDescription()`
  Returns the sourceSDIDescription.
  `String`
  `getSourceSystemEnvironmentName()`
  Returns the sourceSystemEnvironmentName.
  `int`
  `getSourceSystemId()`
  Returns the sourceSystemId.
  `String`
  `getSourceSystemName()`
  Returns the sourceSystemName.
  `String`
  `getSourceTableAlias()`
  Returns the sourceTableAlias Name.
  `String`
  `getSourceTableBusinessEntityType()`
  Returns the sourceEnvBusinessEntityType value.
  `String`
  `getSourceTableClass()`
  Returns the sourceTableClass.
  `String`
  `getSourceTableName()`
  Returns the sourceTableName.
  `String`
  `getSourceTableType()`
  Returns the sourceTableType Value.
  `String`
  `getSourceXPath()`
  Returns the sourceXPath.
  `String`
  `getSpecificationArtifacts()`
  Returns the specificationArtifacts Value.
  `String`
  `getTargetColumnAlias()`
  Returns the targetColumnAlias Name.
  `String`
  `getTargetColumnClass()`
  Returns the targetColumnClass.
  `String`
  `getTargetColumnComments()`
  Returns the targetColumnComments.
  `String`
  `getTargetColumnDatatype()`
  Returns the targetColumnDatatype.
  `String`
  `getTargetColumnDefinition()`
  Returns the targetColumnDefinition.
  `String`
  `getTargetColumnETLDefaultValue()`
  Returns the targetColumnETLDefaultValue.
  `String`
  `getTargetColumnLength()`
  Returns the targetColumnLength.
  `String`
  `getTargetColumnName()`
  Returns the targetColumnName.
  `String`
  `getTargetColumnPrecision()`
  Returns the targetColumnPrecision.
  `String`
  `getTargetColumnScale()`
  Returns the targetColumnScale.
  `String`
  `getTargetEntityUID()`
  Returns the targetEntityUID value.
  `String`
  `getTargetEnvBusinessEntityType()`
  Returns the targetEnvBusinessEntityType value as specified.
  `String`
  `getTargetLogicalColumnName()`
  Returns the targetLogicalColumnName.
  `String`
  `getTargetSDIDescription()`
  Returns the targetSDIDescription.
  `String`
  `getTargetSystemEnvironmentName()`
  Returns the targetSystemEnvironmentName.
  `int`
  `getTargetSystemId()`
  Returns the targetSystemId.
  `String`
  `getTargetSystemName()`
  Returns the targetSystemName.
  `String`
  `getTargetTableAlias()`
  Returns the targetTableAlias.
  `String`
  `getTargetTableBusinessEntityType()`
  Returns the targetTableBusinessEntityType value as specified.
  `String`
  `getTargetTableClass()`
  Returns the targetTableClass.
  `String`
  `getTargetTableName()`
  Returns the targetTableName.
  `String`
  `getTargetTableType()`
  Returns the targetTableType value.
  `String`
  `getTargetXPath()`
  Returns the targetXPath.
  `String`
  `getTransformationLookupCondition()`
  Returns the transformationLookupCondition.
  `String`
  `getUserDefined1()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined10()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined11()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined12()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined13()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined14()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined15()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined16()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined17()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined18()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined19()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined2()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined20()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined21()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined22()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined23()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined24()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined25()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined26()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined27()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined28()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined29()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined3()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined30()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined31()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined32()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined33()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined34()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined35()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined36()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined37()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined38()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined39()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined4()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined40()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined41()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined42()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined43()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined44()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined45()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined46()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined47()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined48()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined49()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined5()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined50()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined6()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined7()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined8()`
  Returns the userDefinedField Value.
  `String`
  `getUserDefined9()`
  Returns the userDefinedField Value.
  `boolean`
  `isColumnMappingCompleteFlag()`
  Returns the columnMappingCompleteFlag.
  `boolean`
  `isSourceBusinessKeyFlag()`
  Returns the sourceBusinessKeyFlag.
  `boolean`
  `isSourceColumnIdentityFlag()`
  Returns the sourceColumnIdentityFlag.
  `boolean`
  `isSourceColumnNullableFlag()`
  Returns the sourceColumnNullableFlag.
  `boolean`
  `isSourceNaturalKeyFlag()`
  Returns the sourceNaturalKeyFlag.
  `boolean`
  `isSourcePrimaryKeyFlag()`
  Returns sourcePrimaryKeyFlag.
  `boolean`
  `isSourceSDIFlag()`
  Returns the sourceSDIFlag.
  `boolean`
  `isTargetBusinessKeyFlag()`
  Returns the targetBusinessKeyFlag.
  `boolean`
  `isTargetColumnNullableFlag()`
  Returns the targetColumnNullableFlag.
  `boolean`
  `isTargetNaturalKeyFlag()`
  Returns the targetNaturalKeyFlag.
  `boolean`
  `isTargetPrimaryKeyFlag()`
  Returns the targetPrimaryKeyFlag.
  `boolean`
  `isTargetSDIFlag()`
  Returns the targetSDIFlag.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the value of auditHistory as specified.
  `void`
  `setBaseSourceSystemEnvironmentName(String baseSourceSystemEnvironmentName)`
  Method sets the baseSourceSystemEnvironmentName as specified.
  `void`
  `setBaseSourceSystemName(String baseSourceSystemName)`
  Method sets the baseSourceSystemName as specified.
  `void`
  `setBaseTargetSystemEnvironmentName(String baseTargetSystemEnvironmentName)`
  Method sets the baseTargetSystemEnvironmentName as specified.
  `void`
  `setBaseTargetSystemName(String baseTargetSystemName)`
  Method sets the baseTargetSystemName as specified.
  `void`
  `setBusinessRule(String businessRule)`
  Method sets the businessRule as specified.
  `void`
  `setColumnMappingCompleteFlag(boolean columnMappingCompleteFlag)`
  Method sets the columnMappingCompleteFlag as specified.
  `void`
  `setCSMMappingReference(String csmMappingReference)`
  Method sets the value of csmMappingReference as specified.
  `void`
  `setExtendedBusinessRule(String extendedBusinessRule)`
  Method sets the extendedBusinessRule as specified.
  `void`
  `setLookupColumn(String lookupColumn)`
  Method sets the value of lookupColumn as specified.
  `void`
  `setLookupOn(String lookupOn)`
  Method sets the lookupOn as specified.
  `void`
  `setMappingId(int mappingId)`
  Method sets the value of mappingId as specified.
  `void`
  `setMappingSequenceId(int mappingSequenceId)`
  Method sets the mappingSequenceId as specified.
  `void`
  `setMappingSpecificationRowComments(String mappingSpecificationRowComments)`
  Method sets the mappingSpecificationRowComments as specified.
  `void`
  `setPseudocode(String pseudocode)`
  Method sets the pseudocode value as specified.
  `void`
  `setRdmReferenceTable(String rdmReferenceTable)`
  Method sets the rdmReferenceTable value as specified.
  `void`
  `setRowOrder(float rowOrder)`
  Method sets the value of rowOrder as specified.
  `void`
  `setSourceBusinessKeyFlag(boolean sourceBusinessKeyFlag)`
  Method sets the sourceBusinessKeyFlag as specified.
  `void`
  `setSourceColumnAlias(String sourceColumnAlias)`
  Method sets the sourceColumnAlias Name as specified.
  `void`
  `setSourceColumnClass(String sourceColumnClass)`
  Method sets the sourceColumnClass as specified.
  `void`
  `setSourceColumnComments(String sourceColumnComments)`
  Method sets the sourceColumnComments as specified.
  `void`
  `setSourceColumnDatatype(String sourceColumnDatatype)`
  Method sets the sourceColumnDatatype as specified.
  `void`
  `setSourceColumnDBDefaultValue(String sourceColumnDBDefaultValue)`
  Method sets the sourceColumnDBDefaultValue as specified.
  `void`
  `setSourceColumnDefinition(String sourceColumnDefinition)`
  Method sets the sourceColumnDefinition as specified.
  `void`
  `setSourceColumnIdentityFlag(boolean sourceColumnIdentityFlag)`
  Method sets the sourceColumnIdentityFlag as specified.
  `void`
  `setSourceColumnLength(int sourceColumnLength)`
  Deprecated.
  As of release 10.1GA, replaced by `setSourceColumnLength(String sourceColumnLength)`
  `void`
  `setSourceColumnLength(String sourceColumnLength)`
  Method sets the sourceColumnLength as specified.
  `void`
  `setSourceColumnName(String sourceColumnName)`
  Method sets the sourceColumnName as specified.
  `void`
  `setSourceColumnNullableFlag(boolean sourceColumnNullableFlag)`
  Method sets the sourceColumnNullableFlag as specified.
  `void`
  `setSourceColumnPrecision(int sourceColumnPrecision)`
  Deprecated.
  As of release 10.1GA, replaced by `setSourceColumnPrecision(String sourceColumnPrecision)`
  `void`
  `setSourceColumnPrecision(String sourceColumnPrecision)`
  Method sets the sourceColumnPrecision as specified.
  `void`
  `setSourceColumnScale(int sourceColumnScale)`
  Deprecated.
  As of release 10.1GA, replaced by `setSourceColumnScale(String sourceColumnScale)`
  `void`
  `setSourceColumnScale(String sourceColumnScale)`
  Method sets the sourceColumnScale as specified.
  `void`
  `setSourceEntityUID(String sourceEntityUID)`
  Method sets the sourceEntityUID value as specified.
  `void`
  `setSourceEnvBusinessEntityType(String sourceEnvBusinessEntityType)`
  Method sets the sourceEnvBusinessEntityType value as specified.
  `void`
  `setSourceLogicalColumnName(String sourceLogicalColumnName)`
  Method sets the sourceLogicalColumnName as specified.
  `void`
  `setSourceMaximumValue(int sourceMaximumValue)`
  Deprecated.
  As of release 10.1GA, replaced by `setSourceMaximumValue(String sourceMaximumValue)`
  `void`
  `setSourceMaximumValue(String sourceMaximumValue)`
  Method sets the sourceMaximumValue as specified.
  `void`
  `setSourceMinimumValue(int sourceMinimumValue)`
  Deprecated.
  As of release 10.1GA, replaced by `setSourceMinimumValue(String sourceMinimumValue)`
  `void`
  `setSourceMinimumValue(String sourceMinimumValue)`
  Method sets the sourceMinimumValue as specified.
  `void`
  `setSourceNaturalKeyFlag(boolean sourceNaturalKeyFlag)`
  Method sets the sourceNaturalKeyFlag as specified.
  `void`
  `setSourcePercentNullValue(String sourcePercentNullValue)`
  Method sets the sourcePercentNullValue as specified.
  `void`
  `setSourcePrimaryKeyFlag(boolean sourcePrimaryKeyFlag)`
  Sets the sourcePrimaryKeyFlag as specified.
  `void`
  `setSourceSDIDescription(String sourceSDIDescription)`
  Method sets the sourceSDIDescription as specified.
  `void`
  `setSourceSDIFlag(boolean sourceSDIFlag)`
  Method sets the sourceSDIFlag as specified.
  `void`
  `setSourceSystemEnvironmentName(String sourceSystemEnvironmentName)`
  Method sets the sourceSystemEnvironmentName as specified.
  `void`
  `setSourceSystemId(int sourceSystemId)`
  Method sets the sourceSystemId as specified.
  `void`
  `setSourceSystemName(String sourceSystemName)`
  Method sets the sourceSystemName as specified.
  `void`
  `setSourceTableAlias(String sourceTableAlias)`
  Method sets the sourceTableAlias Name as specified.
  `void`
  `setSourceTableBusinessEntityType(String sourceTableBusinessEntityType)`
  Method sets the sourceTableBusinessEntityType value as specified.
  `void`
  `setSourceTableClass(String sourceTableClass)`
  Method sets the sourceTableClass as specified.
  `void`
  `setSourceTableName(String sourceTableName)`
  Method sets the sourceTableName as specified.
  `void`
  `setSourceTableType(String sourceTableType)`
  Method sets the sourceTableType value as specified.
  `void`
  `setSourceXPath(String sourceXPath)`
  Method sets the sourceXPath as specified.
  `void`
  `setSpecificationArtifacts(String specificationArtifacts)`
  Method sets the specificationArtifacts value as specified.
  `void`
  `setTargetBusinessKeyFlag(boolean targetBusinessKeyFlag)`
  Method sets the targetBusinessKeyFlag as specified.
  `void`
  `setTargetColumnAlias(String targetColumnAlias)`
  Method sets the targetColumnAlias Name as specified.
  `void`
  `setTargetColumnClass(String targetColumnClass)`
  Method sets the targetColumnClass as specified.
  `void`
  `setTargetColumnComments(String targetColumnComments)`
  Method sets the targetColumnComments as specified.
  `void`
  `setTargetColumnDatatype(String targetColumnDatatype)`
  Method sets the targetColumnDatatype as specified.
  `void`
  `setTargetColumnDefinition(String targetColumnDefinition)`
  Method sets the targetColumnDefinition as specified.
  `void`
  `setTargetColumnETLDefaultValue(String targetColumnETLDefaultValue)`
  Method sets the targetColumnETLDefaultValue as specified.
  `void`
  `setTargetColumnLength(int targetColumnLength)`
  Deprecated.
  As of release 10.1GA, replaced by `setTargetColumnLength(String targetColumnLength)`
  `void`
  `setTargetColumnLength(String targetColumnLength)`
  Method sets the targetColumnLength as specified.
  `void`
  `setTargetColumnName(String targetColumnName)`
  Method sets the targetColumnName as specified.
  `void`
  `setTargetColumnNullableFlag(boolean targetColumnNullableFlag)`
  Method sets the targetColumnNullableFlag as specified.
  `void`
  `setTargetColumnPrecision(int targetColumnPrecision)`
  Deprecated.
  As of release 10.1GA, replaced by `setTargetColumnPrecision(String targetColumnPrecision)`
  `void`
  `setTargetColumnPrecision(String targetColumnPrecision)`
  Method sets the targetColumnPrecision as specified.
  `void`
  `setTargetColumnScale(int targetColumnScale)`
  Deprecated.
  As of release 10.1GA, replaced by `setTargetColumnScale(String targetColumnScale)`
  `void`
  `setTargetColumnScale(String targetColumnScale)`
  Method sets the targetColumnScale as specified.
  `void`
  `setTargetEntityUID(String targetEntityUID)`
  Method sets the targetEntityUID value as specified.
  `void`
  `setTargetEnvBusinessEntityType(String targetEnvBusinessEntityType)`
  Method sets the targetEnvBusinessEntityType value as specified.
  `void`
  `setTargetLogicalColumnName(String targetLogicalColumnName)`
  Method sets the targetLogicalColumnName as specified.
  `void`
  `setTargetNaturalKeyFlag(boolean targetNaturalKeyFlag)`
  Method sets the targetNaturalKeyFlag as specified.
  `void`
  `setTargetPrimaryKeyFlag(boolean targetPrimaryKeyFlag)`
  Method sets the targetPrimaryKeyFlag as specified.
  `void`
  `setTargetSDIDescription(String targetSDIDescription)`
  Method sets the targetSDIDescription as specified.
  `void`
  `setTargetSDIFlag(boolean targetSDIFlag)`
  Method sets the targetSDIFlag as specified.
  `void`
  `setTargetSystemEnvironmentName(String targetSystemEnvironmentName)`
  Method sets the targetSystemEnvironmentName as specified.
  `void`
  `setTargetSystemId(int targetSystemId)`
  Method sets the targetSystemId as specified.
  `void`
  `setTargetSystemName(String targetSystemName)`
  Method sets the targetSystemName as specified.
  `void`
  `setTargetTableAlias(String targetTableAlias)`
  Method sets the targetTableAlias as specified.
  `void`
  `setTargetTableBusinessEntityType(String targetTableBusinessEntityType)`
  Method sets the targetTableBusinessEntityType value as specified.
  `void`
  `setTargetTableClass(String targetTableClass)`
  Method sets the targetTableClass as specified.
  `void`
  `setTargetTableName(String targetTableName)`
  Method sets the targetTableName as specified.
  `void`
  `setTargetTableType(String targetTableType)`
  Method sets the targetTableType value as specified.
  `void`
  `setTargetXPath(String targetXPath)`
  Method sets the targetXPath as specified.
  `void`
  `setTransformationLookupCondition(String transformationLookupCondition)`
  Method sets the transformationLookupCondition as specified.
  `void`
  `setUserDefined1(String userDefined1)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined10(String userDefined10)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined11(String userDefined11)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined12(String userDefined12)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined13(String userDefined13)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined14(String userDefined14)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined15(String userDefined15)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined16(String userDefined16)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined17(String userDefined17)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined18(String userDefined18)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined19(String userDefined19)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined2(String userDefined2)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined20(String userDefined20)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined21(String userDefined21)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined22(String userDefined22)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined23(String userDefined23)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined24(String userDefined24)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined25(String userDefined25)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined26(String userDefined26)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined27(String userDefined27)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined28(String userDefined28)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined29(String userDefined29)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined3(String userDefined3)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined30(String userDefined30)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined31(String userDefined31)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined32(String userDefined32)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined33(String userDefined33)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined34(String userDefined34)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined35(String userDefined35)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined36(String userDefined36)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined37(String userDefined37)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined38(String userDefined38)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined39(String userDefined39)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined4(String userDefined4)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined40(String userDefined40)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined41(String userDefined41)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined42(String userDefined42)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined43(String userDefined43)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined44(String userDefined44)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined45(String userDefined45)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined46(String userDefined46)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined47(String userDefined47)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined48(String userDefined48)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined49(String userDefined49)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined5(String userDefined5)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined50(String userDefined50)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined6(String userDefined6)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined7(String userDefined7)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined8(String userDefined8)`
  Method sets the userDefinedField value as specified.
  `void`
  `setUserDefined9(String userDefined9)`
  Method sets the userDefinedField value as specified.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MappingSpecificationRow

    public MappingSpecificationRow()

- ## Method Details

  - ### getMappingSequenceId

    public int getMappingSequenceId()
    Returns the mappingSequenceId.
    Returns:
      mappingSequenceId int

  - ### setMappingSequenceId

    public void setMappingSequenceId(int mappingSequenceId)
    Method sets the mappingSequenceId as specified.
    Parameters:
      `mappingSequenceId` - int

  - ### getSourceSystemId

    public int getSourceSystemId()
    Returns the sourceSystemId.
    Returns:
      sourceSystemId int

  - ### setSourceSystemId

    public void setSourceSystemId(int sourceSystemId)
    Method sets the sourceSystemId as specified.
    Parameters:
      `sourceSystemId` - int

  - ### getSourceSystemName

    public String getSourceSystemName()
    Returns the sourceSystemName.
    Returns:
      sourceSystemName String

  - ### setSourceSystemName

    public void setSourceSystemName(String sourceSystemName)
    Method sets the sourceSystemName as specified.
    Parameters:
      `sourceSystemName` - String

  - ### getSourceSystemEnvironmentName

    public String getSourceSystemEnvironmentName()
    Returns the sourceSystemEnvironmentName.
    Returns:
      sourceSystemEnvironmentName String

  - ### setSourceSystemEnvironmentName

    public void setSourceSystemEnvironmentName(String sourceSystemEnvironmentName)
    Method sets the sourceSystemEnvironmentName as specified.
    Parameters:
      `sourceSystemEnvironmentName` - String

  - ### getSourceTableName

    public String getSourceTableName()
    Returns the sourceTableName.
    Returns:
      sourceTableName String

  - ### setSourceTableName

    public void setSourceTableName(String sourceTableName)
    Method sets the sourceTableName as specified.
    Parameters:
      `sourceTableName` - String

  - ### getSourceColumnName

    public String getSourceColumnName()
    Returns the sourceColumnName.
    Returns:
      sourceColumnName String

  - ### setSourceColumnName

    public void setSourceColumnName(String sourceColumnName)
    Method sets the sourceColumnName as specified.
    Parameters:
      `sourceColumnName` - String

  - ### getSourceColumnDatatype

    public String getSourceColumnDatatype()
    Returns the sourceColumnDatatype.
    Returns:
      sourceColumnDatatype String

  - ### setSourceColumnDatatype

    public void setSourceColumnDatatype(String sourceColumnDatatype)
    Method sets the sourceColumnDatatype as specified.
    Parameters:
      `sourceColumnDatatype` - String

  - ### getSourceColumnLength

    public String getSourceColumnLength()
    Returns the sourceColumnLength.
    Returns:
      sourceColumnLength String

  - ### setSourceColumnLength

    @Deprecated public void setSourceColumnLength(int sourceColumnLength)
    Deprecated.
    As of release 10.1GA, replaced by `setSourceColumnLength(String sourceColumnLength)`
    Method sets the sourceColumnLength as specified.
    Parameters:
      `sourceColumnLength` - int

  - ### setSourceColumnLength

    public void setSourceColumnLength(String sourceColumnLength)
    Method sets the sourceColumnLength as specified.
    Parameters:
      `sourceColumnLength` - String
    Since:
      10.1GA

  - ### getSourceColumnPrecision

    public String getSourceColumnPrecision()
    Returns the sourceColumnPrecision.
    Returns:
      sourceColumnPrecision String

  - ### setSourceColumnPrecision

    @Deprecated public void setSourceColumnPrecision(int sourceColumnPrecision)
    Deprecated.
    As of release 10.1GA, replaced by `setSourceColumnPrecision(String sourceColumnPrecision)`
    Method sets the sourceColumnPrecision as specified.
    Parameters:
      `sourceColumnPrecision` - int

  - ### setSourceColumnPrecision

    public void setSourceColumnPrecision(String sourceColumnPrecision)
    Method sets the sourceColumnPrecision as specified.
    Parameters:
      `sourceColumnPrecision` - String
    Since:
      10.1GA

  - ### getSourceColumnScale

    public String getSourceColumnScale()
    Returns the sourceColumnScale.
    Returns:
      sourceColumnScale String

  - ### setSourceColumnScale

    @Deprecated public void setSourceColumnScale(int sourceColumnScale)
    Deprecated.
    As of release 10.1GA, replaced by `setSourceColumnScale(String sourceColumnScale)`
    Method sets the sourceColumnScale as specified.
    Parameters:
      `sourceColumnScale` - int

  - ### setSourceColumnScale

    public void setSourceColumnScale(String sourceColumnScale)
    Method sets the sourceColumnScale as specified.
    Parameters:
      `sourceColumnScale` - String
    Since:
      10.1GA

  - ### getSourceColumnDBDefaultValue

    public String getSourceColumnDBDefaultValue()
    Returns the sourceColumnDBDefaultValue.
    Returns:
      sourceColumnDBDefaultValue int

  - ### setSourceColumnDBDefaultValue

    public void setSourceColumnDBDefaultValue(String sourceColumnDBDefaultValue)
    Method sets the sourceColumnDBDefaultValue as specified.
    Parameters:
      `sourceColumnDBDefaultValue` - String

  - ### getSourceColumnDefinition

    public String getSourceColumnDefinition()
    Returns the sourceColumnDefinition.
    Returns:
      sourceColumnDefinition String

  - ### setSourceColumnDefinition

    public void setSourceColumnDefinition(String sourceColumnDefinition)
    Method sets the sourceColumnDefinition as specified.
    Parameters:
      `sourceColumnDefinition` - String

  - ### isSourceColumnIdentityFlag

    public boolean isSourceColumnIdentityFlag()
    Returns the sourceColumnIdentityFlag.
    Returns:
      sourceColumnIdentityFlag boolean

  - ### setSourceColumnIdentityFlag

    public void setSourceColumnIdentityFlag(boolean sourceColumnIdentityFlag)
    Method sets the sourceColumnIdentityFlag as specified.
    Parameters:
      `sourceColumnIdentityFlag` - boolean

  - ### isSourceColumnNullableFlag

    public boolean isSourceColumnNullableFlag()
    Returns the sourceColumnNullableFlag.
    Returns:
      sourceColumnNullableFlag boolean

  - ### setSourceColumnNullableFlag

    public void setSourceColumnNullableFlag(boolean sourceColumnNullableFlag)
    Method sets the sourceColumnNullableFlag as specified.
    Parameters:
      `sourceColumnNullableFlag` - boolean

  - ### getSourcePercentNullValue

    public String getSourcePercentNullValue()
    Returns the sourcePercentNullValue.
    Returns:
      sourcePercentNullValue String

  - ### setSourcePercentNullValue

    public void setSourcePercentNullValue(String sourcePercentNullValue)
    Method sets the sourcePercentNullValue as specified.
    Parameters:
      `sourcePercentNullValue` - String

  - ### isSourceNaturalKeyFlag

    public boolean isSourceNaturalKeyFlag()
    Returns the sourceNaturalKeyFlag.
    Returns:
      sourceNaturalKeyFlag boolean

  - ### setSourceNaturalKeyFlag

    public void setSourceNaturalKeyFlag(boolean sourceNaturalKeyFlag)
    Method sets the sourceNaturalKeyFlag as specified.
    Parameters:
      `sourceNaturalKeyFlag` - boolean

  - ### isSourcePrimaryKeyFlag

    public boolean isSourcePrimaryKeyFlag()
    Returns sourcePrimaryKeyFlag.
    Returns:
      boolean

  - ### setSourcePrimaryKeyFlag

    public void setSourcePrimaryKeyFlag(boolean sourcePrimaryKeyFlag)
    Sets the sourcePrimaryKeyFlag as specified.
    Parameters:
      `sourcePrimaryKeyFlag` -

  - ### getSourceMinimumValue

    public String getSourceMinimumValue()
    Returns the sourceMinimumValue.
    Returns:
      sourceMinimumValue String

  - ### setSourceMinimumValue

    @Deprecated public void setSourceMinimumValue(int sourceMinimumValue)
    Deprecated.
    As of release 10.1GA, replaced by `setSourceMinimumValue(String sourceMinimumValue)`
    Method sets the sourceMinimumValue as specified.
    Parameters:
      `sourceMinimumValue` - int

  - ### setSourceMinimumValue

    public void setSourceMinimumValue(String sourceMinimumValue)
    Method sets the sourceMinimumValue as specified.
    Parameters:
      `sourceMinimumValue` - String
    Since:
      10.1GA

  - ### getSourceMaximumValue

    public String getSourceMaximumValue()
    Returns the sourceMaximumValue.
    Returns:
      sourceMaximumValue String

  - ### setSourceMaximumValue

    @Deprecated public void setSourceMaximumValue(int sourceMaximumValue)
    Deprecated.
    As of release 10.1GA, replaced by `setSourceMaximumValue(String sourceMaximumValue)`
    Method sets the sourceMaximumValue as specified.
    Parameters:
      `sourceMaximumValue` - int

  - ### setSourceMaximumValue

    public void setSourceMaximumValue(String sourceMaximumValue)
    Method sets the sourceMaximumValue as specified.
    Parameters:
      `sourceMaximumValue` - String
    Since:
      10.1GA

  - ### isSourceSDIFlag

    public boolean isSourceSDIFlag()
    Returns the sourceSDIFlag.
    Returns:
      sourceSDIFlag boolean

  - ### setSourceSDIFlag

    public void setSourceSDIFlag(boolean sourceSDIFlag)
    Method sets the sourceSDIFlag as specified.
    Parameters:
      `sourceSDIFlag` - boolean

  - ### getSourceSDIDescription

    public String getSourceSDIDescription()
    Returns the sourceSDIDescription.
    Returns:
      sourceSDIDescription String

  - ### setSourceSDIDescription

    public void setSourceSDIDescription(String sourceSDIDescription)
    Method sets the sourceSDIDescription as specified.
    Parameters:
      `sourceSDIDescription` - String

  - ### getSourceLogicalColumnName

    public String getSourceLogicalColumnName()
    Returns the sourceSDIDescription.
    Returns:
      sourceLogicalColumnName String

  - ### setSourceLogicalColumnName

    public void setSourceLogicalColumnName(String sourceLogicalColumnName)
    Method sets the sourceLogicalColumnName as specified.
    Parameters:
      `sourceLogicalColumnName` - String

  - ### getSourceColumnComments

    public String getSourceColumnComments()
    Returns the sourceColumnComments.
    Returns:
      sourceColumnComments String

  - ### setSourceColumnComments

    public void setSourceColumnComments(String sourceColumnComments)
    Method sets the sourceColumnComments as specified.
    Parameters:
      `sourceColumnComments` - String

  - ### getSourceXPath

    public String getSourceXPath()
    Returns the sourceXPath.
    Returns:
      sourceXPath String

  - ### setSourceXPath

    public void setSourceXPath(String sourceXPath)
    Method sets the sourceXPath as specified.
    Parameters:
      `sourceXPath` - String

  - ### getBaseSourceSystemEnvironmentName

    public String getBaseSourceSystemEnvironmentName()
    Returns the baseSourceSystemEnvironmentName.
    Returns:
      baseSourceSystemEnvironmentName String

  - ### setBaseSourceSystemEnvironmentName

    public void setBaseSourceSystemEnvironmentName(String baseSourceSystemEnvironmentName)
    Method sets the baseSourceSystemEnvironmentName as specified.
    Parameters:
      `baseSourceSystemEnvironmentName` - String

  - ### getBaseSourceSystemName

    public String getBaseSourceSystemName()
    Returns the baseSourceSystemName.
    Returns:
      baseSourceSystemName String

  - ### setBaseSourceSystemName

    public void setBaseSourceSystemName(String baseSourceSystemName)
    Method sets the baseSourceSystemName as specified.
    Parameters:
      `baseSourceSystemName` - String

  - ### getSourceTableClass

    public String getSourceTableClass()
    Returns the sourceTableClass.
    Returns:
      sourceTableClass String

  - ### setSourceTableClass

    public void setSourceTableClass(String sourceTableClass)
    Method sets the sourceTableClass as specified.
    Parameters:
      `sourceTableClass` - String

  - ### getSourceColumnClass

    public String getSourceColumnClass()
    Returns the sourceColumnClass.
    Returns:
      sourceColumnClass String

  - ### setSourceColumnClass

    public void setSourceColumnClass(String sourceColumnClass)
    Method sets the sourceColumnClass as specified.
    Parameters:
      `sourceColumnClass` - String

  - ### isSourceBusinessKeyFlag

    public boolean isSourceBusinessKeyFlag()
    Returns the sourceBusinessKeyFlag.
    Returns:
      sourceBusinessKeyFlag boolean

  - ### setSourceBusinessKeyFlag

    public void setSourceBusinessKeyFlag(boolean sourceBusinessKeyFlag)
    Method sets the sourceBusinessKeyFlag as specified.
    Parameters:
      `sourceBusinessKeyFlag` - boolean

  - ### getSourceTableAlias

    public String getSourceTableAlias()
    Returns the sourceTableAlias Name.
    Returns:
      sourceTableAlias String

  - ### setSourceTableAlias

    public void setSourceTableAlias(String sourceTableAlias)
    Method sets the sourceTableAlias Name as specified.
    Parameters:
      `sourceTableAlias` - String

  - ### getSourceColumnAlias

    public String getSourceColumnAlias()
    Returns the sourceColumnAlias Name.
    Returns:
      sourceColumnAlias String

  - ### setSourceColumnAlias

    public void setSourceColumnAlias(String sourceColumnAlias)
    Method sets the sourceColumnAlias Name as specified.
    Parameters:
      `sourceColumnAlias` - String

  - ### getTargetSystemId

    public int getTargetSystemId()
    Returns the targetSystemId.
    Returns:
      targetSystemId int

  - ### setTargetSystemId

    public void setTargetSystemId(int targetSystemId)
    Method sets the targetSystemId as specified.
    Parameters:
      `targetSystemId` - int

  - ### getTargetSystemName

    public String getTargetSystemName()
    Returns the targetSystemName.
    Returns:
      targetSystemName String

  - ### setTargetSystemName

    public void setTargetSystemName(String targetSystemName)
    Method sets the targetSystemName as specified.
    Parameters:
      `targetSystemName` - String

  - ### getTargetSystemEnvironmentName

    public String getTargetSystemEnvironmentName()
    Returns the targetSystemEnvironmentName.
    Returns:
      targetSystemEnvironmentName String

  - ### setTargetSystemEnvironmentName

    public void setTargetSystemEnvironmentName(String targetSystemEnvironmentName)
    Method sets the targetSystemEnvironmentName as specified.
    Parameters:
      `targetSystemEnvironmentName` - String

  - ### getTargetTableName

    public String getTargetTableName()
    Returns the targetTableName.
    Returns:
      targetTableName String

  - ### setTargetTableName

    public void setTargetTableName(String targetTableName)
    Method sets the targetTableName as specified.
    Parameters:
      `targetTableName` - String

  - ### getTargetColumnName

    public String getTargetColumnName()
    Returns the targetColumnName.
    Returns:
      targetColumnName String

  - ### setTargetColumnName

    public void setTargetColumnName(String targetColumnName)
    Method sets the targetColumnName as specified.
    Parameters:
      `targetColumnName` - String

  - ### getTargetColumnDatatype

    public String getTargetColumnDatatype()
    Returns the targetColumnDatatype.
    Returns:
      targetColumnDatatype String

  - ### setTargetColumnDatatype

    public void setTargetColumnDatatype(String targetColumnDatatype)
    Method sets the targetColumnDatatype as specified.
    Parameters:
      `targetColumnDatatype` - String

  - ### getTargetColumnLength

    public String getTargetColumnLength()
    Returns the targetColumnLength.
    Returns:
      targetColumnLength String

  - ### setTargetColumnLength

    @Deprecated public void setTargetColumnLength(int targetColumnLength)
    Deprecated.
    As of release 10.1GA, replaced by `setTargetColumnLength(String targetColumnLength)`
    Method sets the targetColumnLength as specified.
    Parameters:
      `targetColumnLength` - int

  - ### setTargetColumnLength

    public void setTargetColumnLength(String targetColumnLength)
    Method sets the targetColumnLength as specified.
    Parameters:
      `targetColumnLength` - String
    Since:
      10.1GA

  - ### getTargetColumnPrecision

    public String getTargetColumnPrecision()
    Returns the targetColumnPrecision.
    Returns:
      targetColumnPrecision String

  - ### setTargetColumnPrecision

    @Deprecated public void setTargetColumnPrecision(int targetColumnPrecision)
    Deprecated.
    As of release 10.1GA, replaced by `setTargetColumnPrecision(String targetColumnPrecision)`
    Method sets the targetColumnPrecision as specified.
    Parameters:
      `targetColumnPrecision` - int

  - ### setTargetColumnPrecision

    public void setTargetColumnPrecision(String targetColumnPrecision)
    Method sets the targetColumnPrecision as specified.
    Parameters:
      `targetColumnPrecision` - String
    Since:
      10.1GA

  - ### getTargetColumnScale

    public String getTargetColumnScale()
    Returns the targetColumnScale.
    Returns:
      targetColumnScale String

  - ### setTargetColumnScale

    @Deprecated public void setTargetColumnScale(int targetColumnScale)
    Deprecated.
    As of release 10.1GA, replaced by `setTargetColumnScale(String targetColumnScale)`
    Method sets the targetColumnScale as specified.
    Parameters:
      `targetColumnScale` - int

  - ### setTargetColumnScale

    public void setTargetColumnScale(String targetColumnScale)
    Method sets the targetColumnScale as specified.
    Parameters:
      `targetColumnScale` - String
    Since:
      10.1GA

  - ### getTargetColumnETLDefaultValue

    public String getTargetColumnETLDefaultValue()
    Returns the targetColumnETLDefaultValue.
    Returns:
      targetColumnETLDefaultValue String

  - ### setTargetColumnETLDefaultValue

    public void setTargetColumnETLDefaultValue(String targetColumnETLDefaultValue)
    Method sets the targetColumnETLDefaultValue as specified.
    Parameters:
      `targetColumnETLDefaultValue` - String

  - ### getTargetColumnDefinition

    public String getTargetColumnDefinition()
    Returns the targetColumnDefinition.
    Returns:
      targetColumnDefinition String

  - ### setTargetColumnDefinition

    public void setTargetColumnDefinition(String targetColumnDefinition)
    Method sets the targetColumnDefinition as specified.
    Parameters:
      `targetColumnDefinition` - String

  - ### isTargetNaturalKeyFlag

    public boolean isTargetNaturalKeyFlag()
    Returns the targetNaturalKeyFlag.
    Returns:
      targetNaturalKeyFlag boolean

  - ### setTargetNaturalKeyFlag

    public void setTargetNaturalKeyFlag(boolean targetNaturalKeyFlag)
    Method sets the targetNaturalKeyFlag as specified.
    Parameters:
      `targetNaturalKeyFlag` - boolean

  - ### isTargetPrimaryKeyFlag

    public boolean isTargetPrimaryKeyFlag()
    Returns the targetPrimaryKeyFlag.
    Returns:
      targetPrimaryKeyFlag boolean

  - ### setTargetPrimaryKeyFlag

    public void setTargetPrimaryKeyFlag(boolean targetPrimaryKeyFlag)
    Method sets the targetPrimaryKeyFlag as specified.
    Parameters:
      `targetPrimaryKeyFlag` - boolean

  - ### isTargetColumnNullableFlag

    public boolean isTargetColumnNullableFlag()
    Returns the targetColumnNullableFlag.
    Returns:
      targetColumnNullableFlag boolean

  - ### setTargetColumnNullableFlag

    public void setTargetColumnNullableFlag(boolean targetColumnNullableFlag)
    Method sets the targetColumnNullableFlag as specified.
    Parameters:
      `targetColumnNullableFlag` - boolean

  - ### isTargetSDIFlag

    public boolean isTargetSDIFlag()
    Returns the targetSDIFlag.
    Returns:
      targetSDIFlag boolean

  - ### setTargetSDIFlag

    public void setTargetSDIFlag(boolean targetSDIFlag)
    Method sets the targetSDIFlag as specified.
    Parameters:
      `targetSDIFlag` - boolean

  - ### getTargetSDIDescription

    public String getTargetSDIDescription()
    Returns the targetSDIDescription.
    Returns:
      targetSDIDescription String

  - ### setTargetSDIDescription

    public void setTargetSDIDescription(String targetSDIDescription)
    Method sets the targetSDIDescription as specified.
    Parameters:
      `targetSDIDescription` - String

  - ### getTargetLogicalColumnName

    public String getTargetLogicalColumnName()
    Returns the targetLogicalColumnName.
    Returns:
      targetLogicalColumnName String

  - ### setTargetLogicalColumnName

    public void setTargetLogicalColumnName(String targetLogicalColumnName)
    Method sets the targetLogicalColumnName as specified.
    Parameters:
      `targetLogicalColumnName` - String

  - ### getTargetColumnComments

    public String getTargetColumnComments()
    Returns the targetColumnComments.
    Returns:
      targetColumnComments String

  - ### setTargetColumnComments

    public void setTargetColumnComments(String targetColumnComments)
    Method sets the targetColumnComments as specified.
    Parameters:
      `targetColumnComments` - String

  - ### getTargetXPath

    public String getTargetXPath()
    Returns the targetXPath.
    Returns:
      targetXPath String

  - ### setTargetXPath

    public void setTargetXPath(String targetXPath)
    Method sets the targetXPath as specified.
    Parameters:
      `targetXPath` - String

  - ### getBaseTargetSystemEnvironmentName

    public String getBaseTargetSystemEnvironmentName()
    Returns the baseTargetSystemEnvironmentName.
    Returns:
      baseTargetSystemEnvironmentName String

  - ### setBaseTargetSystemEnvironmentName

    public void setBaseTargetSystemEnvironmentName(String baseTargetSystemEnvironmentName)
    Method sets the baseTargetSystemEnvironmentName as specified.
    Parameters:
      `baseTargetSystemEnvironmentName` - String

  - ### getBaseTargetSystemName

    public String getBaseTargetSystemName()
    Returns the baseTargetSystemEnvironmentName.
    Returns:
      baseTargetSystemName String

  - ### setBaseTargetSystemName

    public void setBaseTargetSystemName(String baseTargetSystemName)
    Method sets the baseTargetSystemName as specified.
    Parameters:
      `baseTargetSystemName` - String

  - ### getTargetColumnAlias

    public String getTargetColumnAlias()
    Returns the targetColumnAlias Name.
    Returns:
      targetColumnAlias String

  - ### setTargetColumnAlias

    public void setTargetColumnAlias(String targetColumnAlias)
    Method sets the targetColumnAlias Name as specified.
    Parameters:
      `targetColumnAlias` - String

  - ### isTargetBusinessKeyFlag

    public boolean isTargetBusinessKeyFlag()
    Returns the targetBusinessKeyFlag.
    Returns:
      targetBusinessKeyFlag boolean

  - ### setTargetBusinessKeyFlag

    public void setTargetBusinessKeyFlag(boolean targetBusinessKeyFlag)
    Method sets the targetBusinessKeyFlag as specified.
    Parameters:
      `targetBusinessKeyFlag` - boolean

  - ### getTargetTableAlias

    public String getTargetTableAlias()
    Returns the targetTableAlias.
    Returns:
      targetTableAlias String

  - ### setTargetTableAlias

    public void setTargetTableAlias(String targetTableAlias)
    Method sets the targetTableAlias as specified.
    Parameters:
      `targetTableAlias` - String

  - ### getTargetColumnClass

    public String getTargetColumnClass()
    Returns the targetColumnClass.
    Returns:
      targetColumnClass String

  - ### setTargetColumnClass

    public void setTargetColumnClass(String targetColumnClass)
    Method sets the targetColumnClass as specified.
    Parameters:
      `targetColumnClass` - String

  - ### getTargetTableClass

    public String getTargetTableClass()
    Returns the targetTableClass.
    Returns:
      targetTableClass String

  - ### setTargetTableClass

    public void setTargetTableClass(String targetTableClass)
    Method sets the targetTableClass as specified.
    Parameters:
      `targetTableClass` - String

  - ### getBusinessRule

    public String getBusinessRule()
    Returns the businessRule.
    Returns:
      businessRule String

  - ### setBusinessRule

    public void setBusinessRule(String businessRule)
    Method sets the businessRule as specified.
    Parameters:
      `businessRule` - String

  - ### getExtendedBusinessRule

    public String getExtendedBusinessRule()
    Returns the extendedBusinessRule.
    Returns:
      extendedBusinessRule String

  - ### setExtendedBusinessRule

    public void setExtendedBusinessRule(String extendedBusinessRule)
    Method sets the extendedBusinessRule as specified.
    Parameters:
      `extendedBusinessRule` - String

  - ### isColumnMappingCompleteFlag

    public boolean isColumnMappingCompleteFlag()
    Returns the columnMappingCompleteFlag.
    Returns:
      columnMappingCompleteFlag boolean

  - ### setColumnMappingCompleteFlag

    public void setColumnMappingCompleteFlag(boolean columnMappingCompleteFlag)
    Method sets the columnMappingCompleteFlag as specified.
    Parameters:
      `columnMappingCompleteFlag` - boolean

  - ### getUserDefined1

    public String getUserDefined1()
    Returns the userDefinedField Value.
    Returns:
      userDefined1 String

  - ### setUserDefined1

    public void setUserDefined1(String userDefined1)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined1` - String

  - ### getUserDefined2

    public String getUserDefined2()
    Returns the userDefinedField Value.
    Returns:
      userDefined2 String

  - ### setUserDefined2

    public void setUserDefined2(String userDefined2)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined2` - String

  - ### getUserDefined3

    public String getUserDefined3()
    Returns the userDefinedField Value.
    Returns:
      userDefined3 String

  - ### setUserDefined3

    public void setUserDefined3(String userDefined3)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined3` - String

  - ### getUserDefined4

    public String getUserDefined4()
    Returns the userDefinedField Value.
    Returns:
      userDefined4 String

  - ### setUserDefined4

    public void setUserDefined4(String userDefined4)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined4` - String

  - ### getUserDefined5

    public String getUserDefined5()
    Returns the userDefinedField Value.
    Returns:
      userDefined5 String

  - ### setUserDefined5

    public void setUserDefined5(String userDefined5)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined5` - String

  - ### getUserDefined6

    public String getUserDefined6()
    Returns the userDefinedField Value.
    Returns:
      userDefined6 String

  - ### setUserDefined6

    public void setUserDefined6(String userDefined6)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined6` - String

  - ### getUserDefined7

    public String getUserDefined7()
    Returns the userDefinedField Value.
    Returns:
      userDefined7 String

  - ### setUserDefined7

    public void setUserDefined7(String userDefined7)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined7` - String

  - ### getUserDefined8

    public String getUserDefined8()
    Returns the userDefinedField Value.
    Returns:
      userDefined8 String

  - ### setUserDefined8

    public void setUserDefined8(String userDefined8)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined8` - String

  - ### getUserDefined9

    public String getUserDefined9()
    Returns the userDefinedField Value.
    Returns:
      userDefined9 String

  - ### setUserDefined9

    public void setUserDefined9(String userDefined9)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined9` - String

  - ### getUserDefined10

    public String getUserDefined10()
    Returns the userDefinedField Value.
    Returns:
      userDefined10 String

  - ### setUserDefined10

    public void setUserDefined10(String userDefined10)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined10` - String

  - ### getMappingSpecificationRowComments

    public String getMappingSpecificationRowComments()
    Returns the mappingSpecificationRowComments.
    Returns:
      mappingSpecificationRowComments String

  - ### setMappingSpecificationRowComments

    public void setMappingSpecificationRowComments(String mappingSpecificationRowComments)
    Method sets the mappingSpecificationRowComments as specified.
    Parameters:
      `mappingSpecificationRowComments` - String

  - ### getLookupOn

    public String getLookupOn()
    Returns the lookupOn Value.
    Returns:
      lookupOn String

  - ### setLookupOn

    public void setLookupOn(String lookupOn)
    Method sets the lookupOn as specified.
    Parameters:
      `lookupOn` - String

  - ### getTransformationLookupCondition

    public String getTransformationLookupCondition()
    Returns the transformationLookupCondition.
    Returns:
      transformationLookupCondition String

  - ### setTransformationLookupCondition

    public void setTransformationLookupCondition(String transformationLookupCondition)
    Method sets the transformationLookupCondition as specified.
    Parameters:
      `transformationLookupCondition` - String

  - ### getLookupColumn

    public String getLookupColumn()
    Returns the lookupColumn.
    Returns:
      lookupColumn String

  - ### setLookupColumn

    public void setLookupColumn(String lookupColumn)
    Method sets the value of lookupColumn as specified.
    Parameters:
      `lookupColumn` - String

  - ### getRowOrder

    public float getRowOrder()
    Returns the rowOrder.
    Returns:
      rowOrder float

  - ### setRowOrder

    public void setRowOrder(float rowOrder)
    Method sets the value of rowOrder as specified.
    Parameters:
      `rowOrder` - float

  - ### getCSMMappingReference

    public String getCSMMappingReference()
    Returns the csmMappingReference.
    Returns:
      csmMappingReference String

  - ### setCSMMappingReference

    public void setCSMMappingReference(String csmMappingReference)
    Method sets the value of csmMappingReference as specified.
    Parameters:
      `csmMappingReference` - String

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the AuditHistory Details.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Method sets the value of auditHistory as specified.
    Parameters:
      `auditHistory` - AuditHistory

  - ### getMappingId

    public int getMappingId()
    Returns the mappingId.
    Returns:
      mappingId int

  - ### setMappingId

    public void setMappingId(int mappingId)
    Method sets the value of mappingId as specified.
    Parameters:
      `mappingId` - int

  - ### getUserDefined11

    public String getUserDefined11()
    Returns the userDefinedField Value.
    Returns:
      userDefined11 String

  - ### setUserDefined11

    public void setUserDefined11(String userDefined11)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined11` - String

  - ### getUserDefined12

    public String getUserDefined12()
    Returns the userDefinedField Value.
    Returns:
      userDefined12 String

  - ### setUserDefined12

    public void setUserDefined12(String userDefined12)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined12` - String

  - ### getUserDefined13

    public String getUserDefined13()
    Returns the userDefinedField Value.
    Returns:
      userDefined13 String

  - ### setUserDefined13

    public void setUserDefined13(String userDefined13)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined13` - String

  - ### getUserDefined14

    public String getUserDefined14()
    Returns the userDefinedField Value.
    Returns:
      userDefined14 String

  - ### setUserDefined14

    public void setUserDefined14(String userDefined14)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined14` - String

  - ### getUserDefined15

    public String getUserDefined15()
    Returns the userDefinedField Value.
    Returns:
      userDefined15 String

  - ### setUserDefined15

    public void setUserDefined15(String userDefined15)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined15` - String

  - ### getUserDefined16

    public String getUserDefined16()
    Returns the userDefinedField Value.
    Returns:
      userDefined16 String

  - ### setUserDefined16

    public void setUserDefined16(String userDefined16)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined16` - String

  - ### getUserDefined17

    public String getUserDefined17()
    Returns the userDefinedField Value.
    Returns:
      userDefined17 String

  - ### setUserDefined17

    public void setUserDefined17(String userDefined17)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined17` - String

  - ### getUserDefined18

    public String getUserDefined18()
    Returns the userDefinedField Value.
    Returns:
      userDefined18 String

  - ### setUserDefined18

    public void setUserDefined18(String userDefined18)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined18` - String

  - ### getUserDefined19

    public String getUserDefined19()
    Returns the userDefinedField Value.
    Returns:
      userDefined19 String

  - ### setUserDefined19

    public void setUserDefined19(String userDefined19)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined19` - String

  - ### getUserDefined20

    public String getUserDefined20()
    Returns the userDefinedField Value.
    Returns:
      userDefined20 String

  - ### setUserDefined20

    public void setUserDefined20(String userDefined20)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined20` - String

  - ### getUserDefined21

    public String getUserDefined21()
    Returns the userDefinedField Value.
    Returns:
      userDefined21 String

  - ### setUserDefined21

    public void setUserDefined21(String userDefined21)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined21` - String

  - ### getUserDefined22

    public String getUserDefined22()
    Returns the userDefinedField Value.
    Returns:
      userDefined22 String

  - ### setUserDefined22

    public void setUserDefined22(String userDefined22)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined22` - String

  - ### getUserDefined23

    public String getUserDefined23()
    Returns the userDefinedField Value.
    Returns:
      userDefined23 String

  - ### setUserDefined23

    public void setUserDefined23(String userDefined23)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined23` - String

  - ### getUserDefined24

    public String getUserDefined24()
    Returns the userDefinedField Value.
    Returns:
      userDefined24 String

  - ### setUserDefined24

    public void setUserDefined24(String userDefined24)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined24` - String

  - ### getUserDefined25

    public String getUserDefined25()
    Returns the userDefinedField Value.
    Returns:
      userDefined25 String

  - ### setUserDefined25

    public void setUserDefined25(String userDefined25)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined25` - String

  - ### getUserDefined26

    public String getUserDefined26()
    Returns the userDefinedField Value.
    Returns:
      userDefined26 String

  - ### setUserDefined26

    public void setUserDefined26(String userDefined26)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined26` - String

  - ### getUserDefined27

    public String getUserDefined27()
    Returns the userDefinedField Value.
    Returns:
      userDefined27 String

  - ### setUserDefined27

    public void setUserDefined27(String userDefined27)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined27` - String

  - ### getUserDefined28

    public String getUserDefined28()
    Returns the userDefinedField Value.
    Returns:
      userDefined28 String

  - ### setUserDefined28

    public void setUserDefined28(String userDefined28)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined28` - String

  - ### getUserDefined29

    public String getUserDefined29()
    Returns the userDefinedField Value.
    Returns:
      userDefined29 String

  - ### setUserDefined29

    public void setUserDefined29(String userDefined29)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined29` - String

  - ### getUserDefined30

    public String getUserDefined30()
    Returns the userDefinedField Value.
    Returns:
      userDefined30 String

  - ### setUserDefined30

    public void setUserDefined30(String userDefined30)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined30` - String

  - ### getUserDefined31

    public String getUserDefined31()
    Returns the userDefinedField Value.
    Returns:
      userDefined31 String

  - ### setUserDefined31

    public void setUserDefined31(String userDefined31)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined31` - String

  - ### getUserDefined32

    public String getUserDefined32()
    Returns the userDefinedField Value.
    Returns:
      userDefined32 String

  - ### setUserDefined32

    public void setUserDefined32(String userDefined32)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined32` - String

  - ### getUserDefined33

    public String getUserDefined33()
    Returns the userDefinedField Value.
    Returns:
      userDefined33 String

  - ### setUserDefined33

    public void setUserDefined33(String userDefined33)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined33` - String

  - ### getUserDefined34

    public String getUserDefined34()
    Returns the userDefinedField Value.
    Returns:
      userDefined34 String

  - ### setUserDefined34

    public void setUserDefined34(String userDefined34)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined34` - String

  - ### getUserDefined35

    public String getUserDefined35()
    Returns the userDefinedField Value.
    Returns:
      userDefined35 String

  - ### setUserDefined35

    public void setUserDefined35(String userDefined35)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined35` - String

  - ### getUserDefined36

    public String getUserDefined36()
    Returns the userDefinedField Value.
    Returns:
      userDefined36 String

  - ### setUserDefined36

    public void setUserDefined36(String userDefined36)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined36` - String

  - ### getUserDefined37

    public String getUserDefined37()
    Returns the userDefinedField Value.
    Returns:
      userDefined37 String

  - ### setUserDefined37

    public void setUserDefined37(String userDefined37)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined37` - String

  - ### getUserDefined38

    public String getUserDefined38()
    Returns the userDefinedField Value.
    Returns:
      userDefined38 String

  - ### setUserDefined38

    public void setUserDefined38(String userDefined38)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined38` - String

  - ### getUserDefined39

    public String getUserDefined39()
    Returns the userDefinedField Value.
    Returns:
      userDefined39 String

  - ### setUserDefined39

    public void setUserDefined39(String userDefined39)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined39` - String

  - ### getUserDefined40

    public String getUserDefined40()
    Returns the userDefinedField Value.
    Returns:
      userDefined40 String

  - ### setUserDefined40

    public void setUserDefined40(String userDefined40)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined40` - String

  - ### getUserDefined41

    public String getUserDefined41()
    Returns the userDefinedField Value.
    Returns:
      userDefined41 String

  - ### setUserDefined41

    public void setUserDefined41(String userDefined41)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined41` - String

  - ### getUserDefined42

    public String getUserDefined42()
    Returns the userDefinedField Value.
    Returns:
      userDefined42 String

  - ### setUserDefined42

    public void setUserDefined42(String userDefined42)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined42` - String

  - ### getUserDefined43

    public String getUserDefined43()
    Returns the userDefinedField Value.
    Returns:
      userDefined43 String

  - ### setUserDefined43

    public void setUserDefined43(String userDefined43)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined43` - String

  - ### getUserDefined44

    public String getUserDefined44()
    Returns the userDefinedField Value.
    Returns:
      userDefined44 String

  - ### setUserDefined44

    public void setUserDefined44(String userDefined44)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined44` - String

  - ### getUserDefined45

    public String getUserDefined45()
    Returns the userDefinedField Value.
    Returns:
      userDefined45 String

  - ### setUserDefined45

    public void setUserDefined45(String userDefined45)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined45` - String

  - ### getUserDefined46

    public String getUserDefined46()
    Returns the userDefinedField Value.
    Returns:
      userDefined46 String

  - ### setUserDefined46

    public void setUserDefined46(String userDefined46)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined46` - String

  - ### getUserDefined47

    public String getUserDefined47()
    Returns the userDefinedField Value.
    Returns:
      userDefined47 String

  - ### setUserDefined47

    public void setUserDefined47(String userDefined47)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined47` - String

  - ### getUserDefined48

    public String getUserDefined48()
    Returns the userDefinedField Value.
    Returns:
      userDefined48 String

  - ### setUserDefined48

    public void setUserDefined48(String userDefined48)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined48` - String

  - ### getUserDefined49

    public String getUserDefined49()
    Returns the userDefinedField Value.
    Returns:
      userDefined49 String

  - ### setUserDefined49

    public void setUserDefined49(String userDefined49)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined49` - String

  - ### getUserDefined50

    public String getUserDefined50()
    Returns the userDefinedField Value.
    Returns:
      userDefined50 String

  - ### setUserDefined50

    public void setUserDefined50(String userDefined50)
    Method sets the userDefinedField value as specified.
    Parameters:
      `userDefined50` - String

  - ### getSpecificationArtifacts

    public String getSpecificationArtifacts()
    Returns the specificationArtifacts Value.
    Returns:
      specificationArtifacts String

  - ### setSpecificationArtifacts

    public void setSpecificationArtifacts(String specificationArtifacts)
    Method sets the specificationArtifacts value as specified.
    Parameters:
      `specificationArtifacts` - String

  - ### getRdmReferenceTable

    public String getRdmReferenceTable()
    Returns the rdmReferenceTable Value.
    Returns:
      rdmReferenceTable String

  - ### setRdmReferenceTable

    public void setRdmReferenceTable(String rdmReferenceTable)
    Method sets the rdmReferenceTable value as specified.
    Parameters:
      `rdmReferenceTable` - String

  - ### getPseudocode

    public String getPseudocode()
    Returns the pseudocode Value.
    Returns:
      pseudocode String

  - ### setPseudocode

    public void setPseudocode(String pseudocode)
    Method sets the pseudocode value as specified.
    Parameters:
      `pseudocode` - String

  - ### getSourceTableType

    public String getSourceTableType()
    Returns the sourceTableType Value.
    Returns:
      sourceTableType String

  - ### setSourceTableType

    public void setSourceTableType(String sourceTableType)
    Method sets the sourceTableType value as specified.
    Parameters:
      `sourceTableType` - String

  - ### getTargetTableType

    public String getTargetTableType()
    Returns the targetTableType value.
    Returns:
      targetTableType String

  - ### setTargetTableType

    public void setTargetTableType(String targetTableType)
    Method sets the targetTableType value as specified.
    Parameters:
      `targetTableType` - String

  - ### getTargetEntityUID

    public String getTargetEntityUID()
    Returns the targetEntityUID value.
    Returns:
      targetEntityUID String

  - ### setTargetEntityUID

    public void setTargetEntityUID(String targetEntityUID)
    Method sets the targetEntityUID value as specified.
    Parameters:
      `targetEntityUID` - String

  - ### getSourceEntityUID

    public String getSourceEntityUID()
    Returns the sourceEntityUID Value.
    Returns:
      sourceEntityUID String

  - ### setSourceEntityUID

    public void setSourceEntityUID(String sourceEntityUID)
    Method sets the sourceEntityUID value as specified.
    Parameters:
      `sourceEntityUID` - String

  - ### getSourceEnvBusinessEntityType

    public String getSourceEnvBusinessEntityType()
    Returns the sourceEnvBusinessEntityType value.
    Returns:
      sourceEnvBusinessEntityType String

  - ### setSourceEnvBusinessEntityType

    public void setSourceEnvBusinessEntityType(String sourceEnvBusinessEntityType)
    Method sets the sourceEnvBusinessEntityType value as specified.
    Parameters:
      `sourceEnvBusinessEntityType` - String

  - ### getSourceTableBusinessEntityType

    public String getSourceTableBusinessEntityType()
    Returns the sourceEnvBusinessEntityType value.
    Returns:
      sourceEnvBusinessEntityType String

  - ### setSourceTableBusinessEntityType

    public void setSourceTableBusinessEntityType(String sourceTableBusinessEntityType)
    Method sets the sourceTableBusinessEntityType value as specified.
    Parameters:
      `sourceTableBusinessEntityType` - String

  - ### getTargetEnvBusinessEntityType

    public String getTargetEnvBusinessEntityType()
    Returns the targetEnvBusinessEntityType value as specified.
    Returns:
      targetEnvBusinessEntityType String

  - ### setTargetEnvBusinessEntityType

    public void setTargetEnvBusinessEntityType(String targetEnvBusinessEntityType)
    Method sets the targetEnvBusinessEntityType value as specified.
    Parameters:
      `targetEnvBusinessEntityType` - String

  - ### getTargetTableBusinessEntityType

    public String getTargetTableBusinessEntityType()
    Returns the targetTableBusinessEntityType value as specified.
    Returns:
      targetTableBusinessEntityType String

  - ### setTargetTableBusinessEntityType

    public void setTargetTableBusinessEntityType(String targetTableBusinessEntityType)
    Method sets the targetTableBusinessEntityType value as specified.
    Parameters:
      `targetTableBusinessEntityType` - String

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`